Subject: bug#12845: [PATCH] aclocal: tracing AC_CONFIG_MACRO_DIRS can work with older autoconf as well

From: Eric Blake <[email-masked]>
Date: Thu, 15 Nov 2012 05:53:43 -0700

On 11/15/2012 05:46 AM, Stefano Lattarini wrote:

>>> * aclocal.in ($ac_config_macro_dirs_fallback): New global variable,
>>> contains m4 code to issue a fallback definition of AC_CONFIG_MACRO_DIRS
>>> as an alias for the private macro _AM_CONFIG_MACRO_DIRS.
>>
>> Tracing a new private macro - doesn't this imply that autoconf needs to
>> add another macro to its list of preselections in order to pass the
>> autoconf testsuite when using the new automake?  But don't let that stop
>> this patch.
>>
> Well spotted.  But since I'm soon going to remove the private automake
> macro '_AM_EXTRA_RECURSIVE_TARGETS' as well (the indirection it provides
> is no longer needed now that aclocal automatically smashes extra
> whitespace in the arguments of the traced macros), I'd rather wait and
> make the autoconf update in a single batch.

Is _AM_EXTRA_RECURSIVE_TARGETS ever traced in any released version of
automake?  If so, you can't remove it from the pre-selections, even if
newer automake no longer traces it.  Basically, the preselections must
be the union of anything that any released autotool wants to trace.

-- 
Eric Blake   [email-masked]    +1-919-301-3266
Libvirt virtualization library http://libvirt.org